Subject: bug#21001: bug#22372: [PATCH] automake.in: fix deprecated regex syntax

From: Mathieu Lirzin <[email-masked]>
Date: Sun, 16 Jul 2017 15:24:04 +0200

Hello,

[email-masked] (Ludovic Courtès) writes:

> Enrico Jorns <[email-masked]> skribis:
>
>> Running automake with perl >= 5.22.0 produces the warning
>>
>>   Unescaped left brace in regex is deprecated, passed through in regex;
>>   marked by <-- HERE in m/\${ <-- HERE ([^ \t=:+{}]+)}/ at
>>   /ptx/work/dude/ejo/temptest/nodistro.0/sysroots/x86_64-oesdk-linux/usr/bin/automake
>>   line 3936.
>>
>> With perl-5.22.0 using a literal '{' in regexp is deprecated and should
>> be escaped.
>> This patch escapes the '{' characters to match in the regex of function
>> `substitute_ac_subst_variables_worker`.
>
> I confirm that this solves the problem.
>
> This had previously been reported at
> <https://lists.gnu.org/archive/html/automake-patches/2015-07/msg00000.html>.
> I think it would be nice to apply it and put up a 1.15.1 release because
> more and more people will hit this issue.

This has been fixed in Automake 1.15.1.  I am closing this bug.

Thanks.

-- 
Mathieu Lirzin
GPG: F2A3 8D7E EB2B 6640 5761  070D 0ADE E100 9460 4D37